Page MenuHomePhabricator

Eflete GIT build fails with error
Closed, ResolvedPublic

Description

Latest Eflete from GIT git://git.enlightenment.org/tools/eflete.git/fails with error ...

config.status: creating data/Makefile
config.status: creating data/eflete.desktop
config.status: creating data/component_designer.desktop
config.status: creating tests/Makefile
config.status: creating tests/edj_build/Makefile
config.status: creating tests/edj_build/radio.edc
config.status: creating tests/Doxyfile
config.status: creating doc/Makefile
config.status: creating eflete_config.h
config.status: eflete_config.h is unchanged
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile
config.status: executing cp commands
cp: './tests/edj_build/radio.png' and './tests/edj_build/radio.png' are the same file
config.status: executing cp1 commands
cp: './tests/edj_build/radio2.png' and './tests/edj_build/radio2.png' are the same file
config.status: executing cp2 commands
cp: './tests/edj_build/radio_base.png' and './tests/edj_build/radio_base.png' are the same file
config.status: executing cp3 commands
cp: './tests/edj_build/kbd-tap.wav' and './tests/edj_build/kbd-tap.wav' are the same file
config.status: executing cp4 commands
cp: './tests/edj_build/license.txt' and './tests/edj_build/license.txt' are the same file
config.status: executing cp5 commands
cp: './tests/edj_build/PTS55F.ttf' and './tests/edj_build/PTS55F.ttf' are the same file



------------------------------------------------------------------------
eflete 1.20.0
------------------------------------------------------------------------

Configuration Options Summary:
  os.............: linux-gnu

  efl............: yes (version: 1.20.99.55298)

Features:
  tizen..........: no

Binaries:
  eolian_gen path..: /usr/local/bin/eolian_gen
  edje_cc path.....: /usr/local/bin/edje_cc
  edje_pick path...: /usr/local/bin/edje_pick
  eet path.........: /usr/local/bin/eet

Testing:
  check..........: yes
  run tests......: make check

Debug output.....: no

Installation.....: make install (as root if needed, with 'su' or 'sudo')
  CFLAGS.........: -O3 -ffast-math -march=native
  LDFLAGS........:
  prefix.........: /usr/local

MichaelZFreeman@linux-freeman-G41MT-S2PT ~/ReturnToTheSource/enlightenment/eflete
$ make -j4
make  all-recursive
make[1]: Entering directory '/home/michaelzfreeman/ReturnToTheSource/enlightenment/eflete'
Making all in src
make[2]: Entering directory '/home/michaelzfreeman/ReturnToTheSource/enlightenment/eflete/src'
Making all in lib
make[3]: Entering directory '/home/michaelzfreeman/ReturnToTheSource/enlightenment/eflete/src/lib'
  EOLIAN   ewe_ruler.eo.c
  EOLIAN   ewe_ruler.eo.h
make  all-am
make[4]: Entering directory '/home/michaelzfreeman/ReturnToTheSource/enlightenment/eflete/src/lib'
  CC       ewe_ruler.lo
ewe_ruler.c: In function ‘_ewe_ruler_elm_widget_theme_apply’:
ewe_ruler.c:962:14: warning: implicit declaration of function ‘elm_obj_widget_theme_apply’ [-Wimplicit-function-declaration]
    int_ret = elm_obj_widget_theme_apply(efl_super(obj, MY_CLASS));
              ^~~~~~~~~~~~~~~~~~~~~~~~~~
In file included from ewe_private.h:32:0,
                 from ewe_ruler.c:19:
ewe_ruler.eo.c: In function ‘_ewe_ruler_class_initializer’:
ewe_ruler.eo.c:200:26: error: ‘elm_obj_widget_theme_apply’ undeclared (first use in this function)
       EFL_OBJECT_OP_FUNC(elm_obj_widget_theme_apply, _ewe_ruler_elm_widget_theme_apply),
                          ^
/usr/local/include/eo-1/Eo.h:906:50: note: in definition of macro ‘EFL_OPS_DEFINE’
    const Efl_Op_Description _##ops##_descs[] = { __VA_ARGS__ }; \
                                                  ^~~~~~~~~~~
/usr/local/include/eo-1/Eo.h:1318:46: note: in expansion of macro ‘_EFL_OBJECT_OP_API_ENTRY’
 #define EFL_OBJECT_OP_FUNC(_api, _private) { _EFL_OBJECT_OP_API_ENTRY(_api), (void*)_private }
                                              ^~~~~~~~~~~~~~~~~~~~~~~~
ewe_ruler.eo.c:200:7: note: in expansion of macro ‘EFL_OBJECT_OP_FUNC’
       EFL_OBJECT_OP_FUNC(elm_obj_widget_theme_apply, _ewe_ruler_elm_widget_theme_apply),
       ^
ewe_ruler.eo.c:200:26: note: each undeclared identifier is reported only once for each function it appears in
       EFL_OBJECT_OP_FUNC(elm_obj_widget_theme_apply, _ewe_ruler_elm_widget_theme_apply),
                          ^
/usr/local/include/eo-1/Eo.h:906:50: note: in definition of macro ‘EFL_OPS_DEFINE’
    const Efl_Op_Description _##ops##_descs[] = { __VA_ARGS__ }; \
                                                  ^~~~~~~~~~~
/usr/local/include/eo-1/Eo.h:1318:46: note: in expansion of macro ‘_EFL_OBJECT_OP_API_ENTRY’
 #define EFL_OBJECT_OP_FUNC(_api, _private) { _EFL_OBJECT_OP_API_ENTRY(_api), (void*)_private }
                                              ^~~~~~~~~~~~~~~~~~~~~~~~
ewe_ruler.eo.c:200:7: note: in expansion of macro ‘EFL_OBJECT_OP_FUNC’
       EFL_OBJECT_OP_FUNC(elm_obj_widget_theme_apply, _ewe_ruler_elm_widget_theme_apply),
       ^
Makefile:462: recipe for target 'ewe_ruler.lo' failed
make[4]: *** [ewe_ruler.lo] Error 1
make[4]: Leaving directory '/home/michaelzfreeman/ReturnToTheSource/enlightenment/eflete/src/lib'
Makefile:388: recipe for target 'all' failed
make[3]: *** [all] Error 2
make[3]: Leaving directory '/home/michaelzfreeman/ReturnToTheSource/enlightenment/eflete/src/lib'
Makefile:397: recipe for target 'all-recursive' failed
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory '/home/michaelzfreeman/ReturnToTheSource/enlightenment/eflete/src'
Makefile:517: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/michaelzfreeman/ReturnToTheSource/enlightenment/eflete'
Makefile:428: recipe for target 'all' failed
make: *** [all] Error 2
MichaelZFreeman@linux-freeman-G41MT-S2PT ~/ReturnToTheSource/enlightenment/eflete
$

Details

Differential Revisions
D5253: ewe: fix eo compilation

Related Objects

kuuko assigned this task to rimmed.Sep 21 2017, 11:20 AM
rimmed edited projects, added Eflete (Sprint W38); removed Eflete.Sep 21 2017, 10:58 PM
rimmed moved this task from Backlog to Doing on the Eflete (Sprint W38) board.

Sorry, but I can not fix the Eflete build with efl-1.20.99 while task T5363 is not finished.

rimmed moved this task from Doing to Backlog on the Eflete (Sprint W38) board.Sep 22 2017, 4:30 AM
rimmed moved this task from Sprint W38 to KanBan (Bugs pool) on the Eflete board.Sep 27 2017, 1:44 AM
rimmed edited projects, added Eflete; removed Eflete (Sprint W38).
rimmed closed this task as Resolved.Oct 3 2017, 10:34 PM
rimmed added a subscriber: YOhoho.

Thank @YOhoho for fix!

OK. However I still can't get this to build. This was using a default build of enlightenment and EFL. I removed all autogen switches apart from --prefix=/usr/local as I thought there might be some interaction with Wayland as I was building for that before. This is on latest install of Ubuntu. I have run "git remote update" on all projects. I could be doing the build in some non-standard way but I've checked everything I cannot see any mistakes.

YOhoho added a comment.Oct 5 2017, 7:21 AM

OK. However I still can't get this to build. This was using a default build of enlightenment and EFL. I removed all autogen switches apart from --prefix=/usr/local as I thought there might be some interaction with Wayland as I was building for that before. This is on latest install of Ubuntu. I have run "git remote update" on all projects. I could be doing the build in some non-standard way but I've checked everything I cannot see any mistakes.

Could you try to git pull on efl and build eflete again?
It seems that some efl patch is not applied.
latest version of efl is 1.20.99.55617

------------------------------------------------------------------------
eflete 1.20.0
------------------------------------------------------------------------

Configuration Options Summary:
  os.............: linux-gnu

  efl............: yes (version: 1.20.99.55617)

Features:
  tizen..........: no

Binaries:
  eolian_gen path..: /usr/bin/eolian_gen
  edje_cc path.....: /usr/bin/edje_cc
  edje_pick path...: /usr/bin/edje_pick
  eet path.........: /usr/bin/eet

Testing:
  check..........: yes
  run tests......: make check

Debug output.....: no

Installation.....: make install (as root if needed, with 'su' or 'sudo')
  CFLAGS.........: -g -O2
  LDFLAGS........:
  prefix.........: /usr
Michael_Z_Freeman added a comment.EditedOct 6 2017, 6:26 AM

OK. My Git skills are a bit rusty. Am I supposed to be using "git remote update" or "git pull" on an previously cloned repository ?

EDIT: Yep, looks like I was using the wrong Git command. Eflete now builds OK ! Thanks for the help.